=== src/Makefile ===
#############################################################################
# Makefile for building: zyGrib
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:23:42 2012
# Project:  zyGrib.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile zyGrib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Ibzip2 -Izlib-1.2.3 -Iproj-4.6.0/src -Icurvedrawer -I/usr/include/qwt -Iobjs -IGUI
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lbz2 -lz -lproj -lqwt -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = GUI/PositionEditorWidget.cpp \
		GUI/ColorEditorWidget.cpp \
		GUI/LineEditorWidget.cpp \
		GUI/TextStyleEditorWidget.cpp \
		GUI/AngleConverterWidget.cpp \
		GUI/AngleConverterDialog.cpp \
		curvedrawer/BoatSpeed.cpp \
		curvedrawer/CurveDrawer.cpp \
		curvedrawer/CustomQwtClasses.cpp \
		MbzFile.cpp \
		MblueRecord.cpp \
		MblueReader.cpp \
		MbluePlot.cpp \
		BoardPanel.cpp \
		ColorScale.cpp \
		ColorScaleWidget.cpp \
		DataColors.cpp \
		DataQString.cpp \
		DataMeteoAbstract.cpp \
		DataPointInfo.cpp \
		DateChooser.cpp \
		DialogBoxColumn.cpp \
		DialogFonts.cpp \
		DialogGraphicsParams.cpp \
		DialogLoadGRIB.cpp \
		DialogLoadIAC.cpp \
		DialogLoadMBLUE.cpp \
		DialogProxy.cpp \
		DialogSelectMetar.cpp \
		DialogServerStatus.cpp \
		DialogUnits.cpp \
		FileLoaderGRIB.cpp \
		FileLoaderIAC.cpp \
		FileLoaderMBLUE.cpp \
		util/Font.cpp \
		GriddedPlotter.cpp \
		GriddedReader.cpp \
		GriddedRecord.cpp \
		map/GshhsRangsReader.cpp \
		map/GshhsReader.cpp \
		GribAnimator.cpp \
		GribPlot.cpp \
		map/GisReader.cpp \
		GribReader.cpp \
		GribRecord.cpp \
		IacPlot.cpp \
		IacReader.cpp \
		IacReaderUtil.cpp \
		ImageWriter.cpp \
		IrregularGridded.cpp \
		IsoLine.cpp \
		LongTaskProgress.cpp \
		LonLatGrid.cpp \
		main.cpp \
		MainWindow.cpp \
		MapDrawer.cpp \
		MenuBar.cpp \
		Metar.cpp \
		MeteoTable.cpp \
		MeteoTableWidget.cpp \
		MeteotableOptionsDialog.cpp \
		util/Orthodromie.cpp \
		map/POI.cpp \
		map/POI_Editor.cpp \
		map/PositionEditor.cpp \
		map/Projection.cpp \
		map/Projection_libproj.cpp \
		util/Settings.cpp \
		SkewT.cpp \
		SkewTWindow.cpp \
		Terrain.cpp \
		Therm.cpp \
		util/Util.cpp \
		util/zuFile.cpp objs/moc_PositionEditorWidget.cpp \
		objs/moc_ColorEditorWidget.cpp \
		objs/moc_LineEditorWidget.cpp \
		objs/moc_TextStyleEditorWidget.cpp \
		objs/moc_AngleConverterWidget.cpp \
		objs/moc_AngleConverterDialog.cpp \
		objs/moc_CurveDrawer.cpp \
		objs/moc_BoardPanel.cpp \
		objs/moc_ColorScaleWidget.cpp \
		objs/moc_DataQString.cpp \
		objs/moc_DateChooser.cpp \
		objs/moc_DialogBoxColumn.cpp \
		objs/moc_DialogFonts.cpp \
		objs/moc_DialogGraphicsParams.cpp \
		objs/moc_DialogLoadGRIB.cpp \
		objs/moc_DialogLoadIAC.cpp \
		objs/moc_DialogLoadMBLUE.cpp \
		objs/moc_DialogProxy.cpp \
		objs/moc_DialogSelectMetar.cpp \
		objs/moc_DialogServerStatus.cpp \
		objs/moc_DialogUnits.cpp \
		objs/moc_FileLoaderGRIB.cpp \
		objs/moc_FileLoaderIAC.cpp \
		objs/moc_FileLoaderMBLUE.cpp \
		objs/moc_GribAnimator.cpp \
		objs/moc_ImageWriter.cpp \
		objs/moc_LongTaskProgress.cpp \
		objs/moc_Metar.cpp \
		objs/moc_MeteoTable.cpp \
		objs/moc_MeteoTableWidget.cpp \
		objs/moc_MeteotableOptionsDialog.cpp \
		objs/moc_MainWindow.cpp \
		objs/moc_MapDrawer.cpp \
		objs/moc_MenuBar.cpp \
		objs/moc_POI.cpp \
		objs/moc_POI_Editor.cpp \
		objs/moc_PositionEditor.cpp \
		objs/moc_Projection.cpp \
		objs/moc_SkewT.cpp \
		objs/moc_Terrain.cpp \
		objs/moc_Util.cpp
OBJECTS       = objs/PositionEditorWidget.o \
		objs/ColorEditorWidget.o \
		objs/LineEditorWidget.o \
		objs/TextStyleEditorWidget.o \
		objs/AngleConverterWidget.o \
		objs/AngleConverterDialog.o \
		objs/BoatSpeed.o \
		objs/CurveDrawer.o \
		objs/CustomQwtClasses.o \
		objs/MbzFile.o \
		objs/MblueRecord.o \
		objs/MblueReader.o \
		objs/MbluePlot.o \
		objs/BoardPanel.o \
		objs/ColorScale.o \
		objs/ColorScaleWidget.o \
		objs/DataColors.o \
		objs/DataQString.o \
		objs/DataMeteoAbstract.o \
		objs/DataPointInfo.o \
		objs/DateChooser.o \
		objs/DialogBoxColumn.o \
		objs/DialogFonts.o \
		objs/DialogGraphicsParams.o \
		objs/DialogLoadGRIB.o \
		objs/DialogLoadIAC.o \
		objs/DialogLoadMBLUE.o \
		objs/DialogProxy.o \
		objs/DialogSelectMetar.o \
		objs/DialogServerStatus.o \
		objs/DialogUnits.o \
		objs/FileLoaderGRIB.o \
		objs/FileLoaderIAC.o \
		objs/FileLoaderMBLUE.o \
		objs/Font.o \
		objs/GriddedPlotter.o \
		objs/GriddedReader.o \
		objs/GriddedRecord.o \
		objs/GshhsRangsReader.o \
		objs/GshhsReader.o \
		objs/GribAnimator.o \
		objs/GribPlot.o \
		objs/GisReader.o \
		objs/GribReader.o \
		objs/GribRecord.o \
		objs/IacPlot.o \
		objs/IacReader.o \
		objs/IacReaderUtil.o \
		objs/ImageWriter.o \
		objs/IrregularGridded.o \
		objs/IsoLine.o \
		objs/LongTaskProgress.o \
		objs/LonLatGrid.o \
		objs/main.o \
		objs/MainWindow.o \
		objs/MapDrawer.o \
		objs/MenuBar.o \
		objs/Metar.o \
		objs/MeteoTable.o \
		objs/MeteoTableWidget.o \
		objs/MeteotableOptionsDialog.o \
		objs/Orthodromie.o \
		objs/POI.o \
		objs/POI_Editor.o \
		objs/PositionEditor.o \
		objs/Projection.o \
		objs/Projection_libproj.o \
		objs/Settings.o \
		objs/SkewT.o \
		objs/SkewTWindow.o \
		objs/Terrain.o \
		objs/Therm.o \
		objs/Util.o \
		objs/zuFile.o \
		objs/moc_PositionEditorWidget.o \
		objs/moc_ColorEditorWidget.o \
		objs/moc_LineEditorWidget.o \
		objs/moc_TextStyleEditorWidget.o \
		objs/moc_AngleConverterWidget.o \
		objs/moc_AngleConverterDialog.o \
		objs/moc_CurveDrawer.o \
		objs/moc_BoardPanel.o \
		objs/moc_ColorScaleWidget.o \
		objs/moc_DataQString.o \
		objs/moc_DateChooser.o \
		objs/moc_DialogBoxColumn.o \
		objs/moc_DialogFonts.o \
		objs/moc_DialogGraphicsParams.o \
		objs/moc_DialogLoadGRIB.o \
		objs/moc_DialogLoadIAC.o \
		objs/moc_DialogLoadMBLUE.o \
		objs/moc_DialogProxy.o \
		objs/moc_DialogSelectMetar.o \
		objs/moc_DialogServerStatus.o \
		objs/moc_DialogUnits.o \
		objs/moc_FileLoaderGRIB.o \
		objs/moc_FileLoaderIAC.o \
		objs/moc_FileLoaderMBLUE.o \
		objs/moc_GribAnimator.o \
		objs/moc_ImageWriter.o \
		objs/moc_LongTaskProgress.o \
		objs/moc_Metar.o \
		objs/moc_MeteoTable.o \
		objs/moc_MeteoTableWidget.o \
		objs/moc_MeteotableOptionsDialog.o \
		objs/moc_MainWindow.o \
		objs/moc_MapDrawer.o \
		objs/moc_MenuBar.o \
		objs/moc_POI.o \
		objs/moc_POI_Editor.o \
		objs/moc_PositionEditor.o \
		objs/moc_Projection.o \
		objs/moc_SkewT.o \
		objs/moc_Terrain.o \
		objs/moc_Util.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zyGrib.pro
QMAKE_TARGET  = zyGrib
DESTDIR       = 
TARGET        = zyGrib

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): GUI/ui_PositionEditorWidget.h GUI/ui_PoiEditorDialog.h GUI/ui_ColorEditorWidget.h GUI/ui_LineEditorWidget.h GUI/ui_TextStyleEditorWidget.h GUI/ui_GraphicsParamsDialog.h GUI/ui_MeteotableOptionsDialog.h GUI/ui_AngleConverterWidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zyGrib.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zyGrib.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:
