=== src/zlib-1.2.3/Makefile ===
#############################################################################
# Makefile for building: libz.a
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:22:52 2012
# Project:  zlib.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile zlib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = adler32.c \
		compress.c \
		crc32.c \
		deflate.c \
		gzio.c \
		infback.c \
		inffast.c \
		inflate.c \
		inftrees.c \
		minigzip.c \
		trees.c \
		uncompr.c \
		zutil.c 
OBJECTS       = adler32.o \
		compress.o \
		crc32.o \
		deflate.o \
		gzio.o \
		infback.o \
		inffast.o \
		inflate.o \
		inftrees.o \
		minigzip.o \
		trees.o \
		uncompr.o \
		zutil.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		zlib.pro
QMAKE_TARGET  = z
DESTDIR       = 
TARGET        = libz.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: zlib.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zlib.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile zlib.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/z1.0.0 || $(MKDIR) .tmp/z1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/z1.0.0/ && $(COPY_FILE) --parents crc32.h deflate.h inffast.h inffixed.h inflate.h inftrees.h trees.h zconf.h zconf.in.h zlib.h zutil.h .tmp/z1.0.0/ && $(COPY_FILE) --parents adler32.c compress.c crc32.c deflate.c gzio.c infback.c inffast.c inflate.c inftrees.c minigzip.c trees.c uncompr.c zutil.c .tmp/z1.0.0/ && (cd `dirname .tmp/z1.0.0` && $(TAR) z1.0.0.tar z1.0.0 && $(COMPRESS) z1.0.0.tar) && $(MOVE) `dirname .tmp/z1.0.0`/z1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/z1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

adler32.o: adler32.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o adler32.o adler32.c

compress.o: compress.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compress.o compress.c

crc32.o: crc32.c zutil.h \
		zlib.h \
		zconf.h \
		crc32.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o crc32.o crc32.c

deflate.o: deflate.c deflate.h \
		zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o deflate.o deflate.c

gzio.o: gzio.c zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o gzio.o gzio.c

infback.o: infback.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h \
		inffixed.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o infback.o infback.c

inffast.o: inffast.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inffast.o inffast.c

inflate.o: inflate.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h \
		inffixed.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inflate.o inflate.c

inftrees.o: inftrees.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inftrees.o inftrees.c

minigzip.o: minigzip.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o minigzip.o minigzip.c

trees.o: trees.c deflate.h \
		zutil.h \
		zlib.h \
		zconf.h \
		trees.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o trees.o trees.c

uncompr.o: uncompr.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o uncompr.o uncompr.c

zutil.o: zutil.c zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o zutil.o zutil.c

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
