=== src/proj-4.6.0/src/Makefile ===
#############################################################################
# Makefile for building: libproj.a
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:22:52 2012
# Project:  proj.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile proj.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aasincos.c \
		adjlon.c \
		bch2bps.c \
		bchgen.c \
		biveval.c \
		dmstor.c \
		emess.c \
		geocent.c \
		mk_cheby.c \
		nad_cvt.c \
		nad_init.c \
		nad_intr.c \
		PJ_aea.c \
		PJ_aeqd.c \
		PJ_airy.c \
		PJ_aitoff.c \
		pj_apply_gridshift.c \
		PJ_august.c \
		pj_auth.c \
		PJ_bacon.c \
		PJ_bipc.c \
		PJ_boggs.c \
		PJ_bonne.c \
		PJ_cass.c \
		PJ_cc.c \
		PJ_cea.c \
		PJ_chamb.c \
		PJ_collg.c \
		PJ_crast.c \
		pj_datum_set.c \
		pj_datums.c \
		PJ_denoy.c \
		pj_deriv.c \
		PJ_eck1.c \
		PJ_eck2.c \
		PJ_eck3.c \
		PJ_eck4.c \
		PJ_eck5.c \
		pj_ellps.c \
		pj_ell_set.c \
		PJ_eqc.c \
		PJ_eqdc.c \
		pj_errno.c \
		pj_factors.c \
		PJ_fahey.c \
		PJ_fouc_s.c \
		pj_fwd.c \
		PJ_gall.c \
		pj_gauss.c \
		pj_geocent.c \
		PJ_geos.c \
		PJ_gins8.c \
		PJ_gnom.c \
		PJ_gn_sinu.c \
		PJ_goode.c \
		pj_gridinfo.c \
		pj_gridlist.c \
		PJ_hammer.c \
		PJ_hatano.c \
		PJ_imw_p.c \
		pj_init.c \
		pj_inv.c \
		PJ_krovak.c \
		PJ_labrd.c \
		PJ_laea.c \
		PJ_lagrng.c \
		PJ_larr.c \
		PJ_lask.c \
		pj_latlong.c \
		PJ_lcca.c \
		PJ_lcc.c \
		pj_list.c \
		PJ_loxim.c \
		PJ_lsat.c \
		pj_malloc.c \
		PJ_mbtfpp.c \
		PJ_mbtfpq.c \
		PJ_mbt_fps.c \
		PJ_merc.c \
		PJ_mill.c \
		pj_mlfn.c \
		PJ_mod_ster.c \
		PJ_moll.c \
		pj_msfn.c \
		PJ_nell_h.c \
		PJ_nell.c \
		PJ_nocol.c \
		PJ_nsper.c \
		PJ_nzmg.c \
		PJ_ob_tran.c \
		PJ_ocea.c \
		PJ_oea.c \
		PJ_omerc.c \
		pj_open_lib.c \
		PJ_ortho.c \
		pj_param.c \
		pj_phi2.c \
		PJ_poly.c \
		pj_pr_list.c \
		PJ_putp2.c \
		PJ_putp3.c \
		PJ_putp4p.c \
		PJ_putp5.c \
		PJ_putp6.c \
		pj_qsfn.c \
		pj_release.c \
		PJ_robin.c \
		PJ_rpoly.c \
		PJ_sconics.c \
		PJ_somerc.c \
		PJ_sterea.c \
		PJ_stere.c \
		pj_strerrno.c \
		PJ_sts.c \
		PJ_tcc.c \
		PJ_tcea.c \
		PJ_tmerc.c \
		PJ_tpeqd.c \
		pj_transform.c \
		pj_tsfn.c \
		pj_units.c \
		PJ_urm5.c \
		PJ_urmfps.c \
		pj_utils.c \
		PJ_vandg2.c \
		PJ_vandg4.c \
		PJ_vandg.c \
		PJ_wag2.c \
		PJ_wag3.c \
		PJ_wag7.c \
		PJ_wink1.c \
		PJ_wink2.c \
		pj_zpoly1.c \
		proj_mdist.c \
		proj_rouss.c \
		rtodms.c \
		vector1.c 
OBJECTS       = aasincos.o \
		adjlon.o \
		bch2bps.o \
		bchgen.o \
		biveval.o \
		dmstor.o \
		emess.o \
		geocent.o \
		mk_cheby.o \
		nad_cvt.o \
		nad_init.o \
		nad_intr.o \
		PJ_aea.o \
		PJ_aeqd.o \
		PJ_airy.o \
		PJ_aitoff.o \
		pj_apply_gridshift.o \
		PJ_august.o \
		pj_auth.o \
		PJ_bacon.o \
		PJ_bipc.o \
		PJ_boggs.o \
		PJ_bonne.o \
		PJ_cass.o \
		PJ_cc.o \
		PJ_cea.o \
		PJ_chamb.o \
		PJ_collg.o \
		PJ_crast.o \
		pj_datum_set.o \
		pj_datums.o \
		PJ_denoy.o \
		pj_deriv.o \
		PJ_eck1.o \
		PJ_eck2.o \
		PJ_eck3.o \
		PJ_eck4.o \
		PJ_eck5.o \
		pj_ellps.o \
		pj_ell_set.o \
		PJ_eqc.o \
		PJ_eqdc.o \
		pj_errno.o \
		pj_factors.o \
		PJ_fahey.o \
		PJ_fouc_s.o \
		pj_fwd.o \
		PJ_gall.o \
		pj_gauss.o \
		pj_geocent.o \
		PJ_geos.o \
		PJ_gins8.o \
		PJ_gnom.o \
		PJ_gn_sinu.o \
		PJ_goode.o \
		pj_gridinfo.o \
		pj_gridlist.o \
		PJ_hammer.o \
		PJ_hatano.o \
		PJ_imw_p.o \
		pj_init.o \
		pj_inv.o \
		PJ_krovak.o \
		PJ_labrd.o \
		PJ_laea.o \
		PJ_lagrng.o \
		PJ_larr.o \
		PJ_lask.o \
		pj_latlong.o \
		PJ_lcca.o \
		PJ_lcc.o \
		pj_list.o \
		PJ_loxim.o \
		PJ_lsat.o \
		pj_malloc.o \
		PJ_mbtfpp.o \
		PJ_mbtfpq.o \
		PJ_mbt_fps.o \
		PJ_merc.o \
		PJ_mill.o \
		pj_mlfn.o \
		PJ_mod_ster.o \
		PJ_moll.o \
		pj_msfn.o \
		PJ_nell_h.o \
		PJ_nell.o \
		PJ_nocol.o \
		PJ_nsper.o \
		PJ_nzmg.o \
		PJ_ob_tran.o \
		PJ_ocea.o \
		PJ_oea.o \
		PJ_omerc.o \
		pj_open_lib.o \
		PJ_ortho.o \
		pj_param.o \
		pj_phi2.o \
		PJ_poly.o \
		pj_pr_list.o \
		PJ_putp2.o \
		PJ_putp3.o \
		PJ_putp4p.o \
		PJ_putp5.o \
		PJ_putp6.o \
		pj_qsfn.o \
		pj_release.o \
		PJ_robin.o \
		PJ_rpoly.o \
		PJ_sconics.o \
		PJ_somerc.o \
		PJ_sterea.o \
		PJ_stere.o \
		pj_strerrno.o \
		PJ_sts.o \
		PJ_tcc.o \
		PJ_tcea.o \
		PJ_tmerc.o \
		PJ_tpeqd.o \
		pj_transform.o \
		pj_tsfn.o \
		pj_units.o \
		PJ_urm5.o \
		PJ_urmfps.o \
		pj_utils.o \
		PJ_vandg2.o \
		PJ_vandg4.o \
		PJ_vandg.o \
		PJ_wag2.o \
		PJ_wag3.o \
		PJ_wag7.o \
		PJ_wink1.o \
		PJ_wink2.o \
		pj_zpoly1.o \
		proj_mdist.o \
		proj_rouss.o \
		rtodms.o \
		vector1.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		proj.pro
QMAKE_TARGET  = proj
DESTDIR       = 
TARGET        = libproj.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: proj.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile proj.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile proj.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/proj1.0.0 || $(MKDIR) .tmp/proj1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/proj1.0.0/ && $(COPY_FILE) --parents aasincos.c adjlon.c bch2bps.c bchgen.c biveval.c dmstor.c emess.c geocent.c mk_cheby.c nad_cvt.c nad_init.c nad_intr.c PJ_aea.c PJ_aeqd.c PJ_airy.c PJ_aitoff.c pj_apply_gridshift.c PJ_august.c pj_auth.c PJ_bacon.c PJ_bipc.c PJ_boggs.c PJ_bonne.c PJ_cass.c PJ_cc.c PJ_cea.c PJ_chamb.c PJ_collg.c PJ_crast.c pj_datum_set.c pj_datums.c PJ_denoy.c pj_deriv.c PJ_eck1.c PJ_eck2.c PJ_eck3.c PJ_eck4.c PJ_eck5.c pj_ellps.c pj_ell_set.c PJ_eqc.c PJ_eqdc.c pj_errno.c pj_factors.c PJ_fahey.c PJ_fouc_s.c pj_fwd.c PJ_gall.c pj_gauss.c pj_geocent.c PJ_geos.c PJ_gins8.c PJ_gnom.c PJ_gn_sinu.c PJ_goode.c pj_gridinfo.c pj_gridlist.c PJ_hammer.c PJ_hatano.c PJ_imw_p.c pj_init.c pj_inv.c PJ_krovak.c PJ_labrd.c PJ_laea.c PJ_lagrng.c PJ_larr.c PJ_lask.c pj_latlong.c PJ_lcca.c PJ_lcc.c pj_list.c PJ_loxim.c PJ_lsat.c pj_malloc.c PJ_mbtfpp.c PJ_mbtfpq.c PJ_mbt_fps.c PJ_merc.c PJ_mill.c pj_mlfn.c PJ_mod_ster.c PJ_moll.c pj_msfn.c PJ_nell_h.c PJ_nell.c PJ_nocol.c PJ_nsper.c PJ_nzmg.c PJ_ob_tran.c PJ_ocea.c PJ_oea.c PJ_omerc.c pj_open_lib.c PJ_ortho.c pj_param.c pj_phi2.c PJ_poly.c pj_pr_list.c PJ_putp2.c PJ_putp3.c PJ_putp4p.c PJ_putp5.c PJ_putp6.c pj_qsfn.c pj_release.c PJ_robin.c PJ_rpoly.c PJ_sconics.c PJ_somerc.c PJ_sterea.c PJ_stere.c pj_strerrno.c PJ_sts.c PJ_tcc.c PJ_tcea.c PJ_tmerc.c PJ_tpeqd.c pj_transform.c pj_tsfn.c pj_units.c PJ_urm5.c PJ_urmfps.c pj_utils.c PJ_vandg2.c PJ_vandg4.c PJ_vandg.c PJ_wag2.c PJ_wag3.c PJ_wag7.c PJ_wink1.c PJ_wink2.c pj_zpoly1.c proj_mdist.c proj_rouss.c rtodms.c vector1.c .tmp/proj1.0.0/ && (cd `dirname .tmp/proj1.0.0` && $(TAR) proj1.0.0.tar proj1.0.0 && $(COMPRESS) proj1.0.0.tar) && $(MOVE) `dirname .tmp/proj1.0.0`/proj1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/proj1.0.0
