=== debian/changelog ===
zygrib (6.0.2-1) unstable; urgency=low

  * New upstream release. Closes: #689721, 686527.
  * Now B-D on libqwt6-dev; Depend on fonts-liberation.
  * Standards-Version: 3.9.3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Oct 2012 19:30:33 +0100
